local iqm = require "iqm"
local cpml = require "cpml"

-- load:
local model = iqm.load("model/chair.iqm")

function love.load()
	require("love3d").import(true, false)

	love.graphics.setBackgroundColor(241, 244, 249)
end

function love.draw()
	-- setup...
	love.graphics.clearDepth()
  	love.graphics.setDepthTest("less")
	love.graphics.setColor(255, 255, 255, 255)
  	-- ...move into place...
  	love.graphics.translate(0, 10, 0)
  	--love.graphics.scale(5, 5, 5)

  	-- ...and draw!
  	love.graphics.draw(model.mesh)

  	-- reset
  	love.graphics.setShader()
  	love.graphics.setDepthTest()
	  -- Reset blending, shader.
	  love.graphics.setBlendMode("alpha")

	  love.graphics.setColor(0, 0, 0, 255)
  	-- now it's safe to draw 2D again.
  	love.graphics.print(string.format("FPS: %0.2f (%0.4f)", love.timer.getFPS(), love.timer.getAverageDelta()))
end

function love.keypressed(k, s, r)
	if k == "escape" then love.event.quit() end
end